# dev-test

## Getting started

## Add your files

- [ ] [Create](https://gitlab.com/-/experiment/new_project_readme_content:966683122c135d41635e9ddf85c12415?https://docs.gitlab.com/ee/user/project/repository/web_editor.html#create-a-file) or [upload](https://gitlab.com/-/experiment/new_project_readme_content:966683122c135d41635e9ddf85c12415?https://docs.gitlab.com/ee/user/project/repository/web_editor.html#upload-a-file) files
- [ ] [Add files using the command line](https://gitlab.com/-/experiment/new_project_readme_content:966683122c135d41635e9ddf85c12415?https://docs.gitlab.com/ee/gitlab-basics/add-file.html#add-a-file-using-the-command-line) or push an existing Git repository with the following command:

```
some commands useful :
 cd existing_repo
 git remote add origin https://gitlab.com/lili.j.zhang/dev-test.git 
 git branch -M main
 git push -uf origin main

download one project :
 - git clone https://gitlab.com/lili.j.zhang/dev-test.git
create a new branch
 - git branch branch-name
switch the branch
 - git checkout exsited-branch-name
 - git switch exsited-branch-name
 - git checkout -b new-branch-name


step:
 ○ 1.establish local aip platform, in the internet, we can find a lot moduel for instance fastapi(this one is the most familar for me),fymfony ans so on.
  in this step, firstly, I used fastapi.
   - download project : https://github.com/tiangolo/fastapi
   - run this project
   - write a new interface 
  
 ○ 2. do something in gitlab
  - 2.1 create a your own project in gitlab;
  - 2.2 establish the resposite to clone it to those who you want them to know this project or participate it;
  - 2.3 write the .gitlab-ci.yml to create pipeline By the way, we can find the result of each pipeline and there is the detail errors info if it  doesn't go well;
 ○ 3. add the function you need or want and rewrite some files if it necessay.


correct the errors:
 - remind things:
   every thing to upload thing

push files about this project :
 - Use commands of git if you are in your branch while we normally use own branch not main branch
   ○ Git pull   
   ○ Git add file-update-or-added to 
   ○ Git commit 'comments' -m
   ○ Git push
 - Create documents directly in gitlab
  ○ it is very important to everyone to pull the code before your write/rewrite some function in a file which is already existed in case conflicts happen. And before using command push，we need do the same.
  
	
```

## Test and Deploy

Use the built-in continuous integration in GitLab.

